Subject: [mpls] Last Call on draft-ietf-mpls-cosfield-def-02.txt

From: George Swallow <[email-masked]>
Date: Wed, 11 Jun 2008 18:08:26 -0400

This begins a two week last WG last call on the subject draft.  The draft is
available at

http://www.ietf.org/internet-drafts/draft-ietf-mpls-cosfield-def-02.txt

The last call closes June 25 0000 GMT.

...George

_______________________________________________
mpls mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls

---

From: "Rajiv Asati (rajiva)" <[email-masked]>
Date: Thu, 12 Jun 2008 14:52:00 -0400

One minor comment for the 2nd para section 3 -

We may be using the term label loosely here to mean the 'label stack
entry' as defined in rfc3032 section 2. But in the interest of brevity,
we should use the latter.

~~~~~~~~~~~~~~~
3.  Use of the CoS field

...
   Current implementations look at the CoS field with and without label
   context and the CoS field may be copied to the labels that are pushed
   onto the label stack.  This is to avoid the pushed labels having a
   different CoS field.
...
~~~~~~~~~~~~~~~~~

The above may be misinterpreted as having one or more (20bit) label
values carrying the CoS values. We should be better off avoiding this
confusion.
 
Cheers,
Rajiv

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of George Swallow (swallow)
> Sent: Wednesday, June 11, 2008 6:08 PM
> To: [email-masked]
> Subject: [mpls] Last Call on draft-ietf-mpls-cosfield-def-02.txt
>

---

From: "Adrian Farrel" <[email-masked]>
Date: Sun, 15 Jun 2008 12:26:47 +0100

Hi,

Some last call comments. Mainly nits.

Cheers,
Adrian

Substance
---
The I-D should have an "Updates" clause in the header.
The text implies that multiple RFCs are updated. Which?
I guess: RFC 3032, RFC 3270, and RFC 5129, at least.
---
What about other RFCs that refer to the EXP bits?
Off the top of my head:
RFC 3985
RFC 3564
RFC 3469
RFC 4379
I'm sure there are others. grep should find them for you.
---
Section 2.1
Are you sure that you do not also want to update the figure shown in section 
2.1 of RFC 3032? In this figure, the field is called "Exp" and in the 
explanation we have "Exp:    Experimental Use, 3 bits". I would expect you 
to update that text as well.
---
Section 2.2
Section 1 of RFC 3270 also refers to the EXP field. Are you sure you don't 
want to update that text?
===
Editorial
---
Abstract para 3
OLD
   To avoid misunderstanding about how this field may be used this
   document re-introduces the name "CoS field" for this field.  In doing
   so it also updates documents that define the current usee of the EXP
   this field.
NEW
   To avoid misunderstanding about how this field may be used, this
   document changes the name of the field to the "CoS field".  In doing
   so it also updates documents that define the current use of the EXP
   this field.
===
Nits:
---
Abstract para 1
s/a the/the/
s/it is to be/it was to be/
---
Abstract para 2
s/. ././
---
Abstract para 3
s/may be used this/may be used, this/
s/usee/use/
---
Section 1 para 1
s/includes three bit field/includes a three bit field/
s/called "EXP field"/called the "EXP field"/
s/RFC 3032 leaves,, except/RFC 3032, except/
---
Section 1 para 2
s/information, the/information. The/
---
Section 1 para 6
s/3032/RFC 3032/
s/and it is not captured/and this fact is not captured/
---
Section 2.1 para 1
s/The RFC 3032/RFC 3032/
---
Section 2.2 Update to RFC 3270 section 1.2 para 5
s/The RFC 3270/RFC 3270/